Bug 475021 - gsynatpics doesn't run
gsynatpics doesn't run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 14:32 EST by Matthew Saltzman
Modified: 2009-04-27 17:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/hal/fdi/policy/10-synaptics.fdi (1.93 KB, text/plain)
2009-04-24 05:06 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2008-12-06 14:32:23 EST
Description of problem:
gsynaptics requires 'SHMConfig' 'true' in xorg.conf, but in F10, there is no xorg.conf.  (I run the nvidia driver, and there is an xorg.conf for that, but there is no device entry for the touchpad.)

Version-Release number of selected component (if applicable):
gsynaptics-0.9.14-2.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run gsynaptics from the GNOME menu or gsynaptics-init from the command line
2.
3.
  
Actual results:
Error: GSynaptics couldn't initialize.
You have to set 'SHMConfig' 'true' in xorg.conf or XFree86.conf to use GSynaptics


Expected results:
No error, gsynaptics allows setting touchpad parameters.  Or at least, clear instructions as to how to get it to work.

Additional info:
Comment 1 Peter Hutterer 2009-04-23 23:26:01 EDT
(In reply to comment #0)
> Description of problem:
> gsynaptics requires 'SHMConfig' 'true' in xorg.conf, but in F10, there is no
> xorg.conf.  (I run the nvidia driver, and there is an xorg.conf for that, but
> there is no device entry for the touchpad.)

 Section "InputDevice"
    Driver         "synaptics"
    Identifier "TouchPad"
    Option         "SendCoreEvents"
    Option         "Protocol" "auto-dev"
    Option         "SHMConfig" "on"
 EndSection


and then add the following line to the ServerLayout section:
InputDevice "TouchPad"

> No error, gsynaptics allows setting touchpad parameters.  Or at least, clear
> instructions as to how to get it to work.

This is fixed in rawhide, but the removal of the need for SHM configuration requires a newer X server (1.6).
Comment 2 Matthew Saltzman 2009-04-24 05:06:03 EDT
Created attachment 341125 [details]
/etc/hal/fdi/policy/10-synaptics.fdi
Comment 3 Matthew Saltzman 2009-04-24 05:07:14 EDT
Actually, AIUI, the better workaround is the attached /etc/hal/fdi/policy/10-synaptics.fdi.
Comment 4 Peter Hutterer 2009-04-27 17:49:35 EDT
yes, correct. the xorg.conf is still supported though and if you want to use configuration through fdi files all synaptics sections must be removed from the xorg.conf.

Note You need to log in before you can comment on or make changes to this bug.